import type { UserInput as Command } from './user-input';
declare class QueueItem {
}
declare type JSError = Error;
declare namespace QueueItem {
    class UserInput extends QueueItem {
        command: Command;
        constructor(command: Command);
        toString(): string;
    }
    class Notification extends QueueItem {
        appId: string;
        icon: string | null;
        outputType: string;
        outputValue: Record<string, unknown>;
        constructor(appId: string, icon: string | null, outputType: string, outputValue: Record<string, unknown>);
        toString(): string;
    }
    class Error extends QueueItem {
        appId: string;
        icon: string | null;
        error: JSError;
        constructor(appId: string, icon: string | null, error: JSError);
        toString(): string;
    }
}
export default QueueItem;
